## Index

### Classes

- ViewService

### Interfaces

- ActiveUIView
- ViewConfig
- ViewContext
- ViewServicePluginAPI
- ViewSyncListener
- ViewTuple

### Type aliases

- ViewConfigFactory

## Type aliases

ViewConfigFactory: function

#### Type declaration

- - (path: PathNode[], decl: _ViewDeclaration): ViewConfig | ViewConfig[]

  - #### Parameters

    - ##### path PathNode[]

    - ##### decl _ViewDeclaration

    #### Returns ViewConfig | ViewConfig[]

- Defined in view/view.ts:13

Generated using TypeDoc